WXMAXIMA(1)

NAME
wxmaxima - wxWidgets Interface für Maxima

SYNTAX

wxmaxima [-v] [-h] [-o <str>] [-e] [-b] [--logtostderr] [--pipe] [--exit-on-error] [-f <str>] [-u <str>] [-l <str>] [-X <str>] [-m <str>] [--enableipc] [input file...]

BESCHREIBUNG

wxmaxima ist ein selbsterklärendes graphisches Frontend für das Computeralgebrasystem Maxima. Es stellt ein graphisches Userinterface und 2D formatierte Ausgaben von Maxima dar. Das Menüsystem ermöglicht den einfachen Zugriff zu vielen Maxima Befehlen und zur Maxima Hilfe. Dialogfenster ermöglichen eine einfache Einführung von mathematischen Konstrukten wie Limits, Matrizen, etc. Zusätzlich wird Maxima um Möglichkeiten erweitert, wie beispielsweise die Möglichkeit Diagramme mit Hilfe eines Sliders über die GUI zu animieren.

Man kann Arbeitsblätter erzeugen, die ausser mathematischen Zellen (und den Resultaten) auch unterschiedliche Überschriften, Textfelder, Bilder, Seitenumbrüche, etc. beinhalten.

Maxima ist ein freies (GPL) Computeralgebrasystem, programmiert in Common Lisp. Es basiert auf dem Computeralgebrasystem Macsyma, welches am MIT entwickelt wurde. Eine umfangreiche Dokumentation ist inkludiert (und online verfügbar).

wxMaxima verwendet das Toolkit wxWidgets welches von vielen Betriebssystemen unterstützt wird.

OPTIONEN

-h, --help
    Gibt die Liste der Kommandozeilen-Optionen aus.

-v, --version
    Gibt die wxMaxima Version aus.

-b, --batch
    Verarbeitet eine Datei im Batch-Modus und speichert sie danach. Würde anhalten, wenn Maxima eine Fehlermeldung produziert oder eine Frage stellt.

-o, --open=<str>
    Öffnet eine Datei nach dem Programmstart.

-e, --eval=<str>
    Öffnet eine Datei und verarbeitet sie nach dem Programmstart.

--logtostderr
    Loggt "Debugging-Nachrichten" auch auf der Standard-Fehlerausgabe.

--pipe
    Gibt Nachrichten von Maxima auf der Standardausgabe aus.

--exit-on-error
    Beendet das Programm nach einem Fehler von Maxima.

-f, --ini=<str>
    Spezifiziert, wo die Konfiguration gespeichert werden soll.

-u, --use-version=<str>
    Verwendet Maxima Version <str>.

-l, --lisp=<str>
    Verwendet ein Maxima, welches mit dem Lisp-Compiler <str> compiliert wurde.

-X, --extra-args=<str>
    Ermöglicht es, weitere Maxima-Startargumente anzugeben.

-m, --maxima=<str>
    Erlaubt, den Pfad zum Maxima Programm anzugeben.

--enableipc
    Erlaubt Maxima die Kontrolle über wxMaxima durch Interprozesskommunikation. Mit Vorsicht benutzen.

DATEIEN

~/.config/wxMaxima.conf
    Die persönliche wxMaxima Initialisierungsdatei, wo persönliche Einstellungen gespeichert werden.

~/.maxima/wxmaxima-init.mac
    Falls das Maxima Userdirectory - üblicherweise ~/.maxima/ - eine Datei namens wxmaxima-init.mac enthält, wird der Inhalt an Maxima automatisch jedesmal wenn ein neues Worksheet geöffnet wird, an Maxima übergeben.

BUGS
Falls Sie einen Fehler in wxMaxima finden, tragen Sie ihn bitte in der wxMaxima Fehlerdatenbank (https://github.com/wxMaxima-developers/wxmaxima/issues) ein. (Bitte überprüfen Sie zuerst, ob der Fehler nicht schon gemeldet wurde.) Und falls Sie eine Lösung haben, wäre das großartig. wxMaxima ist ein Open Source Programm, wo jeder mitarbeiten kann. Falls das Problem ein mathematischer Fehler ist, ist es möglicherweise ein Fehler in Maxima (das die mathematischen Berechnungen im Hintergrund erledigt), nicht in wxMaxima (dem graphischen Frontend). Die Maxima Fehlerdatenbank ist verfügbar auf: Sourceforge (https://sourceforge.net/p/maxima/bugs/)

AUTOREN

•   J. Rafael Rodriguez Galvan (Debian Projekt), ursprünglicher Autor dieser Hilfeseite

•   Gunter Königsmann (wxMaxima Projekt)

•   Wolfgang Dautermannn (wxMaxima Projekt)

Diese Manualseite kann unter den Bestimmungen der GNU General Public License, Version 2 oder jeder neueren Version, die von der Free Software Foundation veröffentlicht wird, kopiert und verändert werden.

SIEHE AUCH
maxima(1), xmaxima(1) Webseite von wxMaxima. (https://wxmaxima-developers.github.io/wxmaxima/) Dokumentationen und Tutorials zu wxMaxima (https://wxmaxima-developers.github.io/wxmaxima/help.html)